Subject: Re: bug#28152: Human readable units (-h/--human-readable vs --si) - Wrong prefix and missing unit

From: Paul Eggert <[email-masked]>
Date: Sat, 19 Aug 2017 14:09:00 -0700

Michael Weiss wrote:

> I can understand that changing such historic things might always cause
> some minor problems

I'm afraid the problems would be more than minor, as other programs parse the 
output (there's an option in GNU 'sort' to do that, for example). That being 
said, I could be talked into a patch like the one that Mihai Capotă suggested in:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=7176#11

as this would be upward-compatible. It would need documentation though.